org.bouncycastle.cms

## Class PKCS5Scheme2UTF8PBEKey

- java.lang.Object
- - org.bouncycastle.cms.CMSPBEKey
  - - org.bouncycastle.cms.PKCS5Scheme2UTF8PBEKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, javax.crypto.interfaces.PBEKey, javax.crypto.SecretKey

    public class PKCS5Scheme2UTF8PBEKey
    extends CMSPBEKey

PKCS5 scheme-2 - password converted to bytes using UTF-8.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface javax.crypto.interfaces.PBEKey

`serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`PKCS5Scheme2UTF8PBEKey(char[] password, java.security.AlgorithmParameters pbeParams)`
`PKCS5Scheme2UTF8PBEKey(char[] password, byte[] salt, int iterationCount)`

### Method Summary

### Methods inherited from class org.bouncycastle.cms.CMSPBEKey

`getAlgorithm, getEncoded, getFormat, getIterationCount, getParamSpec, getPassword, getSalt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PKCS5Scheme2UTF8PBEKey

    public PKCS5Scheme2UTF8PBEKey(char[] password,
                          byte[] salt,
                          int iterationCount)

#### PKCS5Scheme2UTF8PBEKey

    public PKCS5Scheme2UTF8PBEKey(char[] password,
                          java.security.AlgorithmParameters pbeParams)
                           throws java.security.InvalidAlgorithmParameterException

Throws:
  `java.security.InvalidAlgorithmParameterException`